try {
    var query = new TSqlQueryV2(T_SQLCNT_POOL.getSqlDatabase());
    var selector = new TSqlSelectorV2;
    selector.setTable("pdm_job_work_layer");
    selector.setField(["name"]);
    selector.setWhere("job_id", this.jobId);
    selector.addWhere('type', 'outer');
    selector.setOrder("row_num", 1);
    var layerList = query.selectArrayValue(selector);
    if (query.lastError().isValid()) {
        throw query.lastError();
    }

    selector.clear();
    selector.setTable("pdm_job_layerattr");
    selector.setField(["attr_name", "layer", "value"]);
    selector.setWhere("job_id", this.jobId);
    selector.addWhere('layer', layerList);
    var attrList = query.selectArrayMap(selector);
    if (query.lastError().isValid()) {
        throw query.lastError();
    }

    selector.clear();
    selector.setTable("pdm_job_work_layer");
    selector.setField(["odb_name", "side"]);
    selector.setWhere("job_id", this.jobId);
    selector.addWhere('odb_context', 'board');
    selector.setOrder("type", "solder_mask");
    var nameList = query.selectArrayMap(selector);
    if (query.lastError().isValid()) {
        throw query.lastError();
    }

    var goldMap = {};
    var refLayerMap = {};
    _.each(nameList, function (item) {
        if (item["odb_name"] == "gold") {
            goldMap[item["side"]] = item["odb_name"];
        } else if (item["odb_name"] == "ref_layer") {
            refLayerMap[item["side"]] = item["odb_name"];
        }
    })

    var dataMap = {};
    _.each(attrList, function (valueMap) {
        var tempList = [];
        if (!_.isEmpty(dataMap[valueMap["layer"]])) {
            tempList = dataMap[valueMap["layer"]];
        }

        tempList.push(valueMap);
        dataMap[valueMap["layer"]] = tempList;
    })

    var retMap = {};
    for (var key in dataMap) {
        var tempMap = {};
        _.each(dataMap[key], function (itemMap) {
            tempMap[itemMap["attr_name"]] = itemMap["value"];
        })
        retMap[key] = tempMap;
    }

    var itemList = ["top", "bottom"];
    var retList = [];
    _.each(itemList, function (item) {
        var tempMap = retMap[item];
        tempMap["gold"] = goldMap[item];
        tempMap["ref_layer"] = refLayerMap[item];
        retList.push(tempMap);
    })

    return JSON.stringify(retList);
} catch (e) {
    print(e);
    GUI.msgbox({
        title: 'Error',
        detail: e
    });
}